|
@@ -0,0 +1,39 @@
|
|
1
|
+#!/usr/bin/env bash
|
|
2
|
+#
|
|
3
|
+# Build tests for MKS Robin nano
|
|
4
|
+# (STM32F1 genericSTM32F103VE)
|
|
5
|
+#
|
|
6
|
+
|
|
7
|
+# exit on first failure
|
|
8
|
+set -e
|
|
9
|
+
|
|
10
|
+use_example_configs Mks/Robin
|
|
11
|
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
|
|
12
|
+opt_disable TFT_320x240
|
|
13
|
+opt_enable TOUCH_SCREEN
|
|
14
|
+opt_enable FSMC_GRAPHICAL_TFT
|
|
15
|
+exec_test $1 $2 "MKS Robin nano v1.2 Emulated DOGM FSMC"
|
|
16
|
+
|
|
17
|
+use_example_configs Mks/Robin
|
|
18
|
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO_V2
|
|
19
|
+opt_disable TFT_320x240
|
|
20
|
+opt_enable TOUCH_SCREEN
|
|
21
|
+opt_enable SPI_GRAPHICAL_TFT
|
|
22
|
+exec_test $1 $2 "MKS Robin v2 nano Emulated DOGM SPI"
|
|
23
|
+
|
|
24
|
+use_example_configs Mks/Robin
|
|
25
|
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
|
|
26
|
+opt_disable TFT_320x240
|
|
27
|
+opt_disable TOUCH_SCREEN
|
|
28
|
+opt_enable TFT_LVGL_UI_FSMC
|
|
29
|
+exec_test $1 $2 "MKS Robin nano v1.2 LVGL FSMC"
|
|
30
|
+
|
|
31
|
+use_example_configs Mks/Robin
|
|
32
|
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO_V2
|
|
33
|
+opt_disable TFT_320x240
|
|
34
|
+opt_disable TOUCH_SCREEN
|
|
35
|
+opt_enable TFT_LVGL_UI_SPI
|
|
36
|
+exec_test $1 $2 "MKS Robin v2 nano LVGL SPI"
|
|
37
|
+
|
|
38
|
+# cleanup
|
|
39
|
+restore_configs
|